#!/bin/sh
# A Kino export script that outputs PlayStation 3 compatible
# Best Quality H.264 MP4 using ffmpeg with x264

usage()
{
	# Title
	echo "Title: H.264 MP4 for PLAYSTATION 3 (FFMPEG)"

	# Usable?
	aac=`ffmpeg -formats 2> /dev/null | egrep "(Encoders:)|(.*EA.*aac)" | grep aac | wc -l`
	h264=`ffmpeg -formats 2> /dev/null | egrep "(Encoders:)|(.*EV.*264)" | grep 264 | wc -l`
	vpre=`ffmpeg -h 2> /dev/null | grep "\-vpre" | wc -l`
	[ "$aac" -gt 0 ] && [ "$h264" -gt 0 ] && [ "$vpre" -gt 0 ] && echo Status: Active || echo Status: Inactive

	# Type
	echo Flags: double-pass file-producer

	# Profile - only Best Quality
	echo "Profile: Best Quality (native size, interlace, 2240 kb/s)"
}

execute()
{
	# Arguments
	normalisation="$1"
	length="$2"
	profile="$3"
	file="$4"
	project="$5"
	pass="$6"
	aspect="$7"

	. "`dirname $0`/ffmpeg_utils.sh"

	# generate filename if missing
	[ "x$file" = "x" ] && file="kino_export_"`date +%Y-%m-%d_%H.%M.%S`
	
	# Run the command
	 case "$pass" in
		"1" ) ffmpeg -threads 0 -f dv -i pipe: -pass 1 -passlogfile "$file" \
			-vcodec $x264 -vpre fastfirstpass -level 41 -g 300 $interlace -aspect $aspect -b 2048$kilo -bt 4096$kilo \
			-an -f rawvideo -y /dev/null
			;;
	esac
}

[ "$1" = "--usage" ] || [ -z "$1" ] && usage "$@" || execute "$@"
